<?php
namespace Mirasvit\Sorting\Ui\RankingFactor\Form\Block\Rule;

/**
 * Interceptor class for @see \Mirasvit\Sorting\Ui\RankingFactor\Form\Block\Rule
 */
class Interceptor extends \Mirasvit\Sorting\Ui\RankingFactor\Form\Block\Rule implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Sorting\Repository\RankingFactorRepository $rankingFactorRepository, \Magento\Rule\Block\Conditions $conditions, \Magento\Backend\Block\Widget\Form\Renderer\Fieldset $fieldsetRenderer, \Magento\Framework\Data\FormFactory $formFactory, \Magento\Framework\Registry $registry, \Magento\Backend\Block\Widget\Context $context)
    {
        $this->___init();
        parent::__construct($rankingFactorRepository, $conditions, $fieldsetRenderer, $formFactory, $registry, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getForm()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getForm');
        return $pluginInfo ? $this->___callPlugins('getForm', func_get_args(), $pluginInfo) : parent::getForm();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
